%OA2TR	Construye una transformacin homognea a partir de los vectores o y a
%
%	OA2TR(O, A) Devuelve la transformacin homognea de rotacin correspondiente a los
%	vectores de orientacin (O) y aproximacin (A), que le pasamos como parmetros.
%
%	Ver tambin RPY2TR, EUL2TR

%	Copyright (C) 1993 Peter Corke

function r = oa2tr(o, a)

n = cross(o, a);
r = [unit(n(:)) unit(o(:)) unit(a(:)) zeros(3,1); 0 0 0 1];