%RPY2TR	Obtiene la transformacin homognea correspondiente a los ngulos RPY dados
%
%	RPY2TR([R P Y])
%	RPY2TR(R,P,Y) devuelve la transformacin homognea que corresponde a los ngulos RPY
%	(roll/pitch/yaw). Dichos ngulos se le deben pasar expresados en radianes, y son los
%	ngulos de rotacin en torno a los ejes X, Y y Z respectivamente.
%
%	Ver tambin TR2RPY, EUL2TR

%	Copyright (C) Peter Corke 1993

function r = rpy2tr(roll, pitch, yaw)

if length(roll) == 3,
   r = rotz(roll(3)) * roty(roll(2)) * rotx(roll(1));
else
   r = rotz(yaw) * roty(pitch) * rotx(roll);
end